IBM Support

IBM Spectrum Protect Linux backup-archive client distributions - statement of minimal support

Question & Answer


Question

Is there some support for IBM Spectrum Protect 8.1 or 7.1 Linux x86/x86_64 backup-archive client on Linux® distributions other than Red Hat (RHEL) and SUSE (SLES)?

Cause

To find the fully supported Linux client distributions for backup-archive client, see Linux x86/x86_64 Client Requirements.


Tip: The product now known as IBM Spectrum Protect was named IBM Tivoli Storage Manager in releases earlier than 7.1.3. To learn more about the rebranding transition, see: Tivoli Storage Manager branding transition to IBM Spectrum Protect.
 

Answer

Minimal support is provided for IBM Spectrum Protect Linux x86/x86_64 backup-archive client and API client, on the following listed Linux distributions, while the backup-archive client and API client version and Linux distributions are in regular support.

 

"MINIMAL SUPPORT" DEFINITION

  • IBM Support accepts calls for Linux x86/x86_64 backup-archive and API client issues listed on the following distributions and release levels.
  • IBM Support does not require that the customer re-create the problem on fully supported RHEL or SLES distributions before call for support.
  • IBM Support does cease problem determination if the problem is determined to be unique on the following distributions or release levels. The problem must then be pursued with that distribution's provider or community.


Minimal support is not applicable to the:

  • IBM Spectrum Protect for Space Management client
  • IBM Spectrum Protect server
  • IBM Spectrum Protect operations center
  • IBM Spectrum Protect storage agent
  • IBM Spectrum Protect FastBack
  • IBM Spectrum Protect Snapshot
  • Any of the IBM Spectrum Protect data protection products (for example, IBM Spectrum Protect for Databases, IBM Spectrum Protect for Mail, IBM Spectrum Protect for Enterprise Resource Planning), except for IBM Spectrum Protect for Virtual Environments when Linux is used as an iSCSI target for file level recovery (see in technote: IBM Spectrum Protect for Virtual Environments (Data Protection for VMware) - file recovery from full VM - statement of minimal support)



For information about Linux support for other IBM Spectrum Protect components, see the appropriate component support page.


 

OPERATING SYSTEMS, DISTRIBUTION, AND RELEASE LEVELS ELIGIBLE FOR MINIMAL SUPPORT - BACKUP-ARCHIVE AND API CLIENTS 8.1 (on Linux x86_64):

  • CentOS Linux 7 and 8 (1)
  • CentOS Stream 8
  • Debian 9 and 10 (2)
  • Fedora 30 and 31 (1)(3)
  • OpenSUSE 15 and 42
  • Scientific Linux 7

Minimal support is not available for the automatic client deployment and Journal-based backup functions on Linux x86_64.

(1) CentOS Linux and Fedora releases might fail during installation with warning: 
user tdpvmware does not exist - using root

To prevent this issue from occurring, create a text file before installation with the command:

echo Red Hat > /etc/spectrum-protect-release

(2) Debian 9 and 10 does not include support for the IBM Spectrum Protect backup-archive client web user interface

(3) Fedora distributions had issues with starting the backup-archive client after installation due to incompatibilities with libcrypt.so.1.  This problem can be solved by installing the libxcrypt-compat package.

 

OPERATING SYSTEMS, DISTRIBUTION, AND RELEASE LEVELS ELIGIBLE FOR MINIMAL SUPPORT - BACKUP-ARCHIVE AND API CLIENTS 7.1 (on Linux x86_64):

  • CentOS Linux 5, 6, and 7 (CentOS Linux 7 with 7.1.2 or later 7.1.x client)
  • Debian* 6 and 7
  • Fedora 19, 20, and 21 (requires 7.1.0.3 or later 7.1.x client)
  • Fedora 22 (beginning with 7.1.3 client)
  • OpenSUSE 13
  • Scientific Linux 5, 6, and 7 (Scientific Linux 7 with 7.1.2 or later 7.1.x client)
  • Ubuntu* 12 and 13

Minimal support is not available for the automatic client deployment and Journal-based backup functions on Linux x86_64.

* Note for Debian-based distributions (Debian and Ubuntu): Beginning with IBM Tivoli Storage Manager 7.1.2, the Linux x86_64 client is made available in DEB package format, with official support for the Ubuntu 14.04 distribution only. This package can be installed for other Debian and Ubuntu minimally supported 7.1 distributions.

Note: Tivoli Storage Manager 7.1 will reach End of Support at 31 December 2021.
See IBM Spectrum Protect and Tivoli Storage Manager Family Products with Support Extension contracts available.

 

SUPPORT CONSIDERATIONS

  • 7.1 Linux x86/x86_64 backup-archive client and API client only
  • Support for currently supported Linux backup-archive client functionality and file systems
  • SELinux support for distributions based on RHEL (CentOS Linux and Scientific Linux)
  • Automounter support for AutoFS only
  • Automatic client deployment, Journal-based backup, and VMware backup functionality are not supported
 


 

[{"Product":{"code":"SSEQVQ","label":"IBM Spectrum Protect"},"Business Unit":{"code":"BU058","label":"IBM Infrastructure w\/TPS"},"Component":"Client","Platform":[{"code":"PF016","label":"Linux"}],"Version":"All Versions","Edition":"","Line of Business":{"code":"LOB26","label":"Storage"}},{"Product":{"code":"SSGSG7","label":"Tivoli Storage Manager"},"Business Unit":{"code":"BU058","label":"IBM Infrastructure w\/TPS"},"Component":"Client","Platform":[{"code":"","label":""}],"Version":"","Edition":"","Line of Business":{"code":"LOB26","label":"Storage"}}]

Document Information

Modified date:
08 November 2021

UID

swg21417165